Buscar um horário de funcionamento único

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/work-schedule/unique

Retorna um registro único de horário de funcionamento com base nas condições informadas na requisição.

application/json

Body Required

request

  • conditions array[object]
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • sort boolean
  • direction string

    Values are ASC or DESC.

  • sortColumn string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • active boolean
    • closeTime string
    • createdAt string(date-time)
    • createdBy string
    • dayCode integer(int32)
    • id integer(int64)
    • name string
    • openTime string
    • scheduleName string
    • updatedAt string(date-time)
    • updatedBy string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/work-schedule/unique
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/work-schedule/unique' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"string","value":"string","operator":"EQ","logic":"AND","or":[{}],"and":[{}],"conditions":[{}]}],"sort":true,"direction":"ASC","sortColumn":"string"}'
Request examples
{
  "conditions": [
    {
      "key": "string",
      "value": "string",
      "operator": "EQ",
      "logic": "AND",
      "or": [
        {}
      ],
      "and": [
        {}
      ],
      "conditions": [
        {}
      ]
    }
  ],
  "sort": true,
  "direction": "ASC",
  "sortColumn": "string"
}
Response examples (200)
{
  "active": true,
  "closeTime": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "dayCode": 42,
  "id": 42,
  "name": "string",
  "openTime": "string",
  "scheduleName": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}